
'use strict';

// The workerSrc property shall be specified.
pdfjsLib.GlobalWorkerOptions.workerSrc = '/lib/pdf.worker.min.js';

// Some PDFs need external cmaps.
// var CMAP_URL = '../../node_modules/pdfjs-dist/cmaps/';
var CMAP_PACKED = true;

var DEFAULT_URL = 'foo.pdf';
var SEARCH_FOR = ''; // try 'Mozilla';

var container = document.getElementById('viewerContainer');

// (Optionally) enable hyperlinks within PDF files.
var pdfLinkService = new pdfjsViewer.PDFLinkService();

// (Optionally) enable find controller.
var pdfFindController = new pdfjsViewer.PDFFindController({
    linkService: pdfLinkService,
});

var pdfViewer = new pdfjsViewer.PDFViewer({
    container: container,
    linkService: pdfLinkService,
    findController: pdfFindController,
});
pdfLinkService.setViewer(pdfViewer);

document.addEventListener('pagesinit', function () {
    // We can use pdfViewer now, e.g. let's change default scale.
    pdfViewer.currentScaleValue = 'page-width';

    if (SEARCH_FOR) { // We can try search for things
        pdfFindController.executeCommand('find', { query: SEARCH_FOR, });
    }
});

// Loading document.
var loadingTask = pdfjsLib.getDocument({
    url: DEFAULT_URL,
    //   cMapUrl: CMAP_URL,
    cMapPacked: CMAP_PACKED,
});
loadingTask.promise.then(function (pdfDocument) {
    // Document loaded, specifying document for the viewer and
    // the (optional) linkService.
    pdfViewer.setDocument(pdfDocument);

    pdfLinkService.setDocument(pdfDocument, null);
});
